- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# transpose.hh File Reference

This file contain the function which transpose an automaton. More...

Include dependency graph for algorithms/transpose.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename lhs_t, typename rhs_t>
void | transpose (lhs_t &dst, const rhs_t &from)
| Transposition of an automaton.
template<typename auto_t>
auto_t | transpose (const auto_t &from)
| Return a fresh transposed automaton.

## Detailed Description

This file contain the function which transpose an automaton.

See also:
  transpose()

Definition in file algorithms/transpose.hh.